//package com.huaxia.hx_sell_commission.controller;
//
//import java.io.File;
//import java.io.FileInputStream;
//import java.io.IOException;
//import java.io.InputStream;
//import java.io.UnsupportedEncodingException;
//import java.util.HashMap;
//import java.util.Map;
//
//import javax.servlet.ServletOutputStream;
//import javax.servlet.http.HttpServletRequest;
//import javax.servlet.http.HttpServletResponse;
//
//import cn.hutool.core.lang.UUID;
//import com.huaxia.hx_sell_commission.utils.AjaxResult;
//import com.huaxia.hx_sell_commission.utils.ThumbnailatorUtil;
//import com.huaxia.hx_sell_commission.utils.VideoProcessingUtil;
//import org.apache.commons.lang3.StringUtils;
//import org.apache.logging.log4j.util.PropertiesUtil;
//import org.springframework.beans.factory.annotation.Value;
//import org.springframework.transaction.annotation.Transactional;
//import org.springframework.web.bind.annotation.GetMapping;
//import org.springframework.web.bind.annotation.PostMapping;
//import org.springframework.web.bind.annotation.RequestMapping;
//import org.springframework.web.bind.annotation.RequestParam;
//import org.springframework.web.bind.annotation.ResponseBody;
//import org.springframework.web.bind.annotation.RestController;
//import org.springframework.web.multipart.MultipartFile;
//
//import it.sauronsoftware.jave.Encoder;
//import it.sauronsoftware.jave.MultimediaInfo;
//import io.swagger.annotations.Api;
//import io.swagger.annotations.ApiOperation;
//import lombok.extern.slf4j.Slf4j;
//
//@Api(tags = "文件上传接口")
//@RestController
//@Slf4j
//@RequestMapping("/api/fileupload")
//public class FileUploadController {
//
//    @Value("${spring.uploadpath}")
//    String fileSpace;
//
//    @Value("${spring.codeFile}")
//    String storePath;
//
//    @Value("${spring.codeUrl}")
//    String basePase;
//
//    @Value("${spring.codeFilePath}")
//    String codeFilePath;
//
//    public static void main(String[] args) {
//        log.info("\n" + IdUtil.simpleUUID());
//    }
//
//    @ApiOperation(value = "文件上传 by wanghj")
//    @PostMapping(value = "/upload")
//    @ResponseBody
//    public AjaxResult upload(@RequestParam String project_id, @RequestParam String type,
//                             @RequestParam(value = "file") MultipartFile file) {
//        String uploadPathDB = "/" + project_id;// 保存到数据库中的相对路径
//        log.info("上传文件开始，传入参数project_id：{},type:{}",project_id,type);
//        try {
//            if (file != null) {
//                String fileName = file.getOriginalFilename();
//                if (StringUtils.isNotBlank(fileName)) {
//                    log.info("上传的文件名fileName：{}",fileName);
//                    String fileType = fileName.indexOf(".") != -1 ? fileName.substring(fileName.lastIndexOf(".") + 1, fileName.length()) : null;
//                    fileType = fileType.toLowerCase();
//
//                    if(StringUtils.isNotBlank(type) && type.equals("album")) {
//                        if(!(fileType.equals("jpg")||fileType.equals("png")||fileType.equals("jpeg")||fileType.equals("gif"))){
//                            return AjaxResult.error("只支持jpg,png,jpeg,gif图片格式");
//                        }
//                    }else if(StringUtils.isNotBlank(type) && type.equals("video")) {
//                        if(!(fileType.equals("mp4")||fileType.equals("qlv")||fileType.equals("qsv")||fileType.equals("ogg")
//                                ||fileType.equals("flv")||fileType.equals("avi")||fileType.equals("wmv")||fileType.equals("rmvb"))){
//                            return AjaxResult.error("只支持mp4,qlv,qsv,ogg,flv,avi,wmv,rmvb图片格式");
//                        }
//                    }
//                    // 文件上传的最终保存服务器路径  /opt/wx/userfiles/项目ID/
//                    String finalVideoPath = fileSpace + uploadPathDB + "/";
//                    log.info("上传的文件路径finalVideoPath：{}",finalVideoPath);
//                    //创建文件路径
//                    File outFile = new File(finalVideoPath);
//                    if (!outFile.getParentFile().exists()) {
//                        outFile.getParentFile().mkdirs();
//                    }
//                    if (!outFile.exists()) {
//                        outFile.mkdirs();
//                    }
//                    String filename = file.getOriginalFilename();
//                    //原文件名
//                    String filenametext = filename.substring(0, filename.lastIndexOf("."));
//                    //文件类型
//                    String file_extend_name = filename.substring(filename.lastIndexOf(".") + 1);
//                    String fileId = IdUtil.simpleUUID();
//                    //UUID文件名
//                    String newfilename = fileId + "." + file_extend_name; //上传的视频或者图片名
//                    //新文件全路径 不包含文件名 /opt/wx/userfiles/项目id
//                    String upMulu = fileSpace + uploadPathDB;
//                    //新文件全路径  /opt/wx/userfiles/项目id/UUID文件名
//                    String trMulu = upMulu + "/" + newfilename;
//                    //例子  /项目id/UUID文件名
//                    String xsMulsA = "/" + project_id + "/" + newfilename;
//
//                    String id = IdUtil.simpleUUID();
//                    String object_id = IdUtil.simpleUUID();
//
//                    String fileDuration="";
//                    String xsMulsA2 = ""; //视频首帧图片名
//
//                    //针对上传的图片与视频处理
//                    if(StringUtils.isNotBlank(type) && type.equals("album")) {
//                        log.info("上传的文件为图片,进行压缩...");
//                        //原图
//                        String newfilename2_temp = fileId+ "(y)" + "." + file_extend_name;
//                        //新文件全路径 名字加个（y） /opt/wx/userfiles/项目id/UUID文件名(y)
//                        String trMulu2_temp = upMulu + "/" + newfilename2_temp;
//                        File serverFile_temp = new File(trMulu2_temp);
//                        //将原图片转存储到服务器指定路径并使用新名字
//                        file.transferTo(serverFile_temp);
//
//                        //压缩图 并新文件全路径为trMulu /opt/wx/userfiles/项目id/UUID文件名
//                        ThumbnailatorUtil.compressUploadFile(serverFile_temp, trMulu);
//                        log.info("上传的文件为图片,已完成压缩...");
//                    }else if(StringUtils.isNotBlank(type) && type.equals("video")) {
//                        log.info("上传的文件为视频,进行转码获取时长");
//                        File serverFile = new File(trMulu);  //上传视频
//                        file.transferTo(serverFile);
//
//                        Encoder encoder = new Encoder();
//                        MultimediaInfo m = encoder.getInfo(serverFile);
//                        //获取视频的时长,进行转换
//                        fileDuration = formatTime(m.getDuration()); //获取视频时长    //duration=60000   01:00
//                        log.info("上传的文件为视频,已完成转码获取到时长");
//
//                        //暂定了视频的首帧图片名，videPicture跟下面返回的videPicture一样
//                        xsMulsA2 = "/" + project_id + "/" + fileId + ".jpg";  //视频首帧图片名
//
//                        //处理视频获取视频帧封面图片
//                        log.info("处理视频返回首帧开始，传入参数xsMulsA：{},xsMulsA2：{}",xsMulsA,xsMulsA2);
//                        String videPicture= VideoProcessingUtil.grabberVideoFramer(fileSpace,xsMulsA,xsMulsA2);  //传入视频，返回首帧图片
//                        //xsMulsA2 =videPicture;
//                        log.info("处理视频返回首帧结束，返回参数：{}",videPicture);
//                    }
//
//                    //上传视频或图片，保存上传的视频或图片
////                    log.info("上传的文件请求入库");
////                    Attachment bean = new Attachment(
////                            id,                            //ID
////                            null,               //类型
////                            object_id,                    //相当于附件地址pictureurl  UUID 关联用
////                            newfilename,                  //压缩后文件名
////                            filenametext,                 //原文件名（不包含文件类型）
////                            file_extend_name,             //文件类型
////                            file.getSize() + "",  //文件大小byte
////                            xsMulsA,                      //例子  /项目ID/uuid.jpg
////                            currTime,                     //上传时间
////                            login_by,                     //上传用户ID
////                            currTime,                     //创建时间
////                            null,               //修改人ID
////                            null,             //修改时间
////                            "0",                  //生效标识
////                            fileDuration,               //视频时长
////                            xsMulsA2);                  //视频首帧图片
////                    int count = attachmentService.insertAttachment(bean);
////                    log.info("上传的文件请求入库返回受影响行，count:{}",count);
//
//                    Map<String, String> map = new HashMap<String, String>();
//                    map.put("id", id);
//                    map.put("object_id", object_id);
//                    map.put("upload_file_path", xsMulsA);
//                    map.put("upload_file_path2", xsMulsA2);  //返回视频的首帧图片路径
//                    map.put("storage_file_name", filenametext + "." + file_extend_name);
//
//                    return AjaxResult.success(map);
//                }
//            } else {
//                log.error("上传出错...file 为空");
//                return AjaxResult.error("上传出错...");
//            }
//        } catch (Exception e) {
//            log.error("上传出错...file: {}，e： {}", file, e);
//            return AjaxResult.error("上传出错...");
//        }
//        return null;
//    }
//
//    /**
//     * 获取转码的视频时长，进行转换成时分格式
//     * @return String
//     * @Author:shanxiulian
//     * @Date:2019-06-05 15:15:10
//     */
//    public static String formatTime(long time)
//    {
//        time = time/1000;
//        String strHour = "" + (time/3600);
//        String strMinute = "" + time%3600/60;
//        String strSecond = "" + time%3600%60;
//
//        strHour = strHour.length() < 2? "0" + strHour: strHour;
//        strMinute = strMinute.length() < 2? "0" + strMinute: strMinute;
//        strSecond = strSecond.length() < 2? "0" + strSecond: strSecond;
//        System.out.println("时"+strHour);
//        System.out.println("分"+strMinute);
//        System.out.println("秒"+strSecond);
//
//        /*String strRsult = "";
//        if (!strHour.equals("00"))
//        {
//            strRsult += strHour + ":";
//        }
//        if (!strMinute.equals("00"))
//        {
//            strRsult += strMinute + ":";
//        }
//        strRsult += strSecond;*/
//
//        String strRsult=strHour+":"+strMinute+":"+strSecond;
//        return strRsult;
//    }
//    @ApiOperation(value = "图片下载")
//    @GetMapping(value = "/downloadImage")
//    @ResponseBody
//    public String downloadExcelFile(HttpServletRequest request, HttpServletResponse response) throws UnsupportedEncodingException{
//        InputStream inputStream = null;
//        ServletOutputStream servletOutputStream = null;
//        String fileName=request.getParameter("url").replace(basePase + codeFilePath, "");
//        fileName=storePath+fileName;
//        File file = new File(fileName);
//        int fileLength = (int) file.length();
//        // 重置response
//        response.reset();
//        //设置http头信息的内容
//        response.setCharacterEncoding("utf-8");
//        response.setContentType("image/png");
//        response.addHeader("Content-Disposition", "attachment;filename=\"" + new String("二维码".getBytes("utf-8"), "iso8859-1") + "\"");
//        response.setContentLength(fileLength);
//        try {
//            if (fileLength != 0) {
//                inputStream = new FileInputStream(file);
//                byte[] buf = new byte[4096];
//                // 创建输出流
//                servletOutputStream = response.getOutputStream();
//                int readLength;
//                // 读取文件内容并输出到response的输出流中
//                while ((readLength = inputStream.read(buf)) != -1) {
//                    servletOutputStream.write(buf, 0, readLength);
//                }
//            }
//        } catch (IOException e) {
//            e.printStackTrace();
//        } finally {
//            try {
//                // 关闭ServletOutputStream
//                if (servletOutputStream != null) {
//                    servletOutputStream.flush();
//                    servletOutputStream.close();
//                }
//                // 关闭InputStream
//                if (inputStream != null) {
//                    inputStream.close();
//                }
//            } catch (IOException e) {
//                e.printStackTrace();
//            }
//        }
//        return null;
//    }
//
//    /**
//     * @author  jcli
//     * @create  2020/11/17 0017 14:30
//     * 入参说明：
//     * login_by 上传人
//     * project_id 项目ID
//     * @desc
//     **/
//    @ApiOperation(value = "物料图片上传并生成缩略图")
//    @PostMapping(value = "/materialUpload")
//    @ResponseBody
//    @Transactional
//    public AjaxResult materialUpload(HttpServletRequest request, @RequestParam String login_by, @RequestParam String project_id,
//                            @RequestParam(value = "file") MultipartFile file) {
//        log.info("上传文件开始，传入参数login_by：{},project_id：{}",login_by,project_id);
//        if (file == null ||StringUtils.isBlank(file.getOriginalFilename())) {
//            return AjaxResult.error("文件或文件名不能为空");
//        }
//        //原文件名
//        String fileName = file.getOriginalFilename();
//        log.info("上传的文件名fileName：{}",fileName);
//        //获取文件类型
//        String fileType = fileName.indexOf(".") != -1 ? fileName.substring(fileName.lastIndexOf(".") + 1, fileName.length()) : null;
//        fileType = fileType.toLowerCase();
//        if(!(fileType.equals("jpg")||fileType.equals("png")||fileType.equals("jpeg")||fileType.equals("gif"))){
//            return AjaxResult.error("只支持jpg,png,jpeg,gif图片格式");
//        }
//        // 文件上传的最终保存服务器路径  /opt/wx/userfiles/项目ID/
//        String opt = File.separator+"opt"+File.separator+"wx"+File.separator+"userfiles"+File.separator+project_id+File.separator;
//        log.info("件上传的最终保存服务器路径：{}",opt);
//        //原文件名不包含文件类型
//        String oldFileName = fileName.substring(0, fileName.lastIndexOf("."));
//        //UUID
//        String uuid = IdUtil.simpleUUID();
//        //缩略图文件名UUID。jpg
//        String uuidFileType = uuid + "." + fileType;
//        //未压缩文件新文件名UUID(y)。jpg
//        String uuidFileYType = uuid + "(y)." + fileType;
//        //缩略图全路径  /opt/wx/userfiles/项目id/UUID.jpg
//        String optUuidFileType = opt + uuidFileType;
//        //原文件加新文件名全路径 /opt/wx/userfiles/项目id/UUID(y).jpg
//        String optOldFileName = opt + oldFileName;
//        //项目ID加缩略图文件名  /项目id/UUID文件名
//        String projectUuidFileType = File.separator + project_id +File.separator + uuidFileType;
//        //入库主键
//        String id = IdUtil.simpleUUID();
//        //对象ID 关联用
//        String object_id = IdUtil.simpleUUID();
//        //上传与压缩
//        try {
//            log.info("开始上传与压缩...");
//            //ThumbnailatorUtil.compressUploadFile(serverFile_temp, trMulu);
//            log.info("上传的图片已完成压缩...");
//            //文件信息记录
////            log.info("上传的文件请求入库");
////            Attachment bean = new Attachment(
////                    id,                            //ID
////                    null,               //类型
////                    object_id,                    //相当于附件地址pictureurl  UUID 关联用
////                    uuidFileType,                  //压缩后文件名
////                    oldFileName,                 //原文件名（不包含文件类型）
////                    fileType,                    //文件类型
////                    file.getSize() + "",  //文件大小byte
////                    projectUuidFileType,          //例子  /项目ID/uuid.jpg
////                    currTime,                     //上传时间
////                    login_by,                     //上传用户ID
////                    currTime,                     //创建时间
////                    null,               //修改人ID
////                    null,             //修改时间
////                    "0",                   //生效标识
////                    uuidFileYType                 //未压缩文件新文件名UUID(y)。jpg
////            );
////            int count = attachmentService.insertAttachment(bean);
////            log.info("上传的文件请求入库返回受影响行，count:{}",count);
//            Map<String, String> map = new HashMap<String, String>();
//            map.put("id", id);
//            map.put("object_id", object_id);
//            map.put("upload_file_path", projectUuidFileType);
//            map.put("storage_file_name", oldFileName + "." + fileType);
//            return AjaxResult.success(map);
//        } catch (Exception e) {
//            log.error("上传出错...file: {}，e： {}", file, e);
//            return AjaxResult.error("上传出错...");
//        }
//    }
//}
