package com.huaxia.hx_sell_commission.domain;

import com.huaxia.hx_sell_commission.utils.annotation.Excel;
import com.huaxia.hx_sell_commission.vo.TradeVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;


/**
 * 核算单交易列对象 examinebill_trade
 * 
 * @author shilei
 * @date 2020-11-23
 */
@Data
public class ExaminebillTrade
{
    private static final long serialVersionUID = 1L;

    /** 核算单ID */
    @Excel(name = "核算单ID")
    @ApiModelProperty(value = "核算单ID")
    private String examineid;

    /** 交易ID */
    @Excel(name = "交易ID")
    @ApiModelProperty(value = "交易ID")
    private String tradeguid;

    /** 方案id */
    @Excel(name = "方案id")
    @ApiModelProperty(value = "方案id")
    private String planId;



}
