package com.huaxia.hx_sell_commission.domain;

import com.huaxia.hx_sell_commission.utils.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 对象 PaymentTemp_Distribution
 * 
 * @author shilei
 * @date 2020-11-16
 */
@Data
public class PaymenttempDistribution
{
    private static final long serialVersionUID = 1L;

    private String tempid;

    /** 类别ID */
    @Excel(name = "类别ID")
    @ApiModelProperty(value = "类别ID")
    private String usertypeid;

    /** 类别名称 */
    @Excel(name = "类别名称")
    @ApiModelProperty(value = "类别名称")
    private String usertypename;

    /** 岗位 */
    @Excel(name = "岗位")
    @ApiModelProperty(value = "岗位")
    private String jobname;

    /** 人员 */
    @Excel(name = "人员")
    @ApiModelProperty(value = "人员")
    private String user;

    /** 人员Id */
    @Excel(name = "人员Id")
    @ApiModelProperty(value = "人员Id")
    private String userid;

    /** 支付比例 */
    @Excel(name = "支付比例")
    @ApiModelProperty(value = "支付比例")
    private BigDecimal payratio;

    /** 首批比例 */
    @Excel(name = "首批比例")
    @ApiModelProperty(value = "首批比例")
    private BigDecimal sfratio;

    /** 末批比例 */
    @Excel(name = "末批比例")
    @ApiModelProperty(value = "末批比例")
    private BigDecimal mfratio;

    /** 状态 */
    @Excel(name = "状态")
    @ApiModelProperty(value = "状态")
    private Long status;

    /** 排序 */
    @Excel(name = "排序")
    @ApiModelProperty(value = "排序")
    private Long sort;


}
