package com.huaxia.hx_sell_commission.domain.csm;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.huaxia.hx_sell_commission.utils.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 对象 csm_s_jobsmenufunctionrel
 * 
 * @author shilei
 * @date 2020-11-16
 */
@Data
public class CsmSJobsmenufunctionrel
{
    private static final long serialVersionUID = 1L;

    private String id;

    /** 功能ID */
    @Excel(name = "功能ID")
    @ApiModelProperty(value = "功能ID")
    private String mfid;

    /** 岗位ID */
    @Excel(name = "岗位ID")
    @ApiModelProperty(value = "岗位ID")
    private String jid;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createdt;

    /** 创建人 */
    @Excel(name = "创建人")
    @ApiModelProperty(value = "创建人")
    private String createuserid;

    /** 删除时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "删除时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "删除时间")
    private Date deldt;

    /** 删除人 */
    @Excel(name = "删除人")
    @ApiModelProperty(value = "删除人")
    private String deluserid;

    /** 1 有效 */
    @Excel(name = "1 有效")
    @ApiModelProperty(value = "1 有效")
    private Long status;


}
