package com.huaxia.hx_sell_commission.domain.csm;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.huaxia.hx_sell_commission.utils.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 对象 csm_s_jobsmenurel
 * 
 * @author shilei
 * @date 2020-11-16
 */
@Data
public class CsmSJobsmenurel
{
    private static final long serialVersionUID = 1L;

    private String id;

    /** 菜单ID */
    @Excel(name = "菜单ID")
    @ApiModelProperty(value = "菜单ID")
    private String mid;

    /** 岗位ID	 */
    @Excel(name = "岗位ID	")
    @ApiModelProperty(value = "岗位ID	")
    private String jid;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "开始时间")
    private Date starttime;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "结束时间")
    private Date endtime;

    /** 审批状态 */
    @Excel(name = "审批状态")
    @ApiModelProperty(value = "审批状态")
    private Long followstate;

}
