package com.huaxia.hx_sell_commission.domain.csm;

import com.huaxia.hx_sell_commission.utils.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 对象 csm_s_menufunction
 * 
 * @author shilei
 * @date 2020-11-16
 */
@Data
public class CsmSMenufunction
{
    private static final long serialVersionUID = 1L;

    /** 功能ID */
    private String mfid;

    /** 菜单ID */
    @Excel(name = "菜单ID")
    @ApiModelProperty(value = "菜单ID")
    private String menuid;

    /** 菜单名称 */
    @Excel(name = "菜单名称")
    @ApiModelProperty(value = "菜单名称")
    private String menuname;

    /** 功能Code */
    @Excel(name = "功能Code")
    @ApiModelProperty(value = "功能Code")
    private String mfcode;

    /** 功能名称 */
    @Excel(name = "功能名称")
    @ApiModelProperty(value = "功能名称")
    private String functionname;

    /** 功能文本 */
    @Excel(name = "功能文本")
    @ApiModelProperty(value = "功能文本")
    private String functiontext;

    /** 归属系统 */
    @Excel(name = "归属系统")
    @ApiModelProperty(value = "归属系统")
    private String system;

    /** 排序 */
    @Excel(name = "排序")
    @ApiModelProperty(value = "排序")
    private Long listindex;

    /** 1 有效 0 无效 */
    @Excel(name = "1 有效 0 无效")
    @ApiModelProperty(value = "1 有效 0 无效")
    private Long status;


}
