package com.huaxia.hx_sell_commission.domain.csm;

import com.huaxia.hx_sell_commission.utils.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;


/**
 * 明源项目分期对象 csm_s_myproject
 * 
 * @author shilei
 * @date 2020-11-18
 */
@Data
public class CsmSMyproject
{
    private static final long serialVersionUID = 1L;

    /** 分期ID */
    private String id;

    /** 父级Code */
    @Excel(name = "父级Code")
    @ApiModelProperty(value = "父级Code")
    private String pid;

    /** 分期Code */
    @Excel(name = "分期Code")
    @ApiModelProperty(value = "分期Code")
    private String projectno;

    /** 分期名称 */
    @Excel(name = "分期名称")
    @ApiModelProperty(value = "分期名称")
    private String projectname;

    /** 分期名称简写 */
    @Excel(name = "分期名称简写")
    @ApiModelProperty(value = "分期名称简写")
    private String projectnamesimple;

    private Long projecttype;

    /** 状态 */
    @Excel(name = "状态")
    @ApiModelProperty(value = "状态")
    private String projectstatus;

    private String projectinfo;

    private String rayX;

    private String rayY;

    private Long listindex;

    /** 是否启用 1 抵用 */
    @Excel(name = "是否启用 1 抵用")
    @ApiModelProperty(value = "是否启用 1 抵用")
    private Long isenabled;

    /** 是否删除 1 删除 0 未删除 */
    @Excel(name = "是否删除 1 删除 0 未删除")
    @ApiModelProperty(value = "是否删除 1 删除 0 未删除")
    private Long isdel;

    private Long levels;

    private Long isend;

    private Date bgnsaledate;

    private Date endsaledate;

    private String buname;

    private String buguid;

    private String mdpid;

    private String lxprojname;

    private String lxprojcode;

    private Date createTime;

}
