package com.huaxia.hx_sell_commission.domain.csm;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 员工信息对象 csm_s_pers_all
 * 
 * @author shilei
 * @date 2021-01-27
 */
@Data
public class CsmSPersAll
{
    private static final long serialVersionUID = 1L;

    private String id;

    private String username;

    @ApiModelProperty(value = "员工ID")
    private String nationalId;

    @ApiModelProperty(value = "证件号")
    private String idcard;

    @ApiModelProperty(value = "姓名")
    private String employeename;

    @ApiModelProperty(value = "手机号")
    private String mobile;

    @ApiModelProperty(value = "在职状态 1 在职， 0 离职")
    private Long dataStatus;


}
