package com.huaxia.hx_sell_commission.enums;

/**
 * Description: 佣金方案模板枚举类
 *
 * @author shilei
 * @date 2020/12/21
 */
public class PaymenttempEnum
{

    /**
     * Paymenttemp表状态
     */
    public enum PlanStatus {
        STATUS_CG(10L, "草稿"),
        STATUS_DISABLE(20L, "禁用"),
        STATUS_ENABLE(30L, "启用"),
        STATUS_STOP_USING(0L, "停用");

        private final Long code;
        private final String info;

        PlanStatus(Long code, String info) {
            this.code = code;
            this.info = info;
        }

        public Long getCode()
        {
            return code;
        }

        public String getInfo()
        {
            return info;
        }
    }

    /**
     * PlanType
     */
    public enum PlanType {
        STATUS_TG(1L, "团购"),//服务费
        STATUS_DL(2L, "代理");//接待费

        private final Long code;
        private final String info;

        PlanType(Long code, String info) {
            this.code = code;
            this.info = info;
        }

        public Long getCode()
        {
            return code;
        }

        public String getInfo()
        {
            return info;
        }
    }

}
