package com.huaxia.hx_sell_commission.mapper.db1;

import java.util.List;
import com.huaxia.hx_sell_commission.domain.PaymenttempDistribution;

/**
 * Mapper接口
 * 
 * @author shilei
 * @date 2020-11-16
 */
public interface PaymenttempDistributionMapper 
{
    /**
     * 查询
     * 
     * @param tempid ID
     * @return 
     */
    public PaymenttempDistribution selectPaymenttempDistributionById(String tempid);

    /**
     * 查询列表
     * 
     * @param paymenttempDistribution 
     * @return 集合
     */
    public List<PaymenttempDistribution> selectPaymenttempDistributionList(PaymenttempDistribution paymenttempDistribution);

    /**
     * 新增
     * 
     * @param paymenttempDistribution 
     * @return 结果
     */
    public int insertPaymenttempDistribution(PaymenttempDistribution paymenttempDistribution);

    /**
     * 修改
     * 
     * @param paymenttempDistribution 
     * @return 结果
     */
    public int updatePaymenttempDistribution(PaymenttempDistribution paymenttempDistribution);

    /**
     * 删除
     * 
     * @param tempid ID
     * @return 结果
     */
    public int deletePaymenttempDistributionById(String tempid);

    /**
     * 删除单个人员分配信息
     *
     * @param paymenttempDistribution
     * @return 结果
     */
    public int deleteTempUser(PaymenttempDistribution paymenttempDistribution);

}
