package com.huaxia.hx_sell_commission.mapper.db1;

import java.util.List;
import com.huaxia.hx_sell_commission.domain.Paymenttemp;
import com.huaxia.hx_sell_commission.domain.YxGroupFeePlan;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * Mapper接口
 * 
 * @author shilei
 * @date 2020-11-16
 */
public interface PaymenttempMapper 
{
    /**
     * 查询
     * 
     * @param tempid ID
     * @return 
     */
    public Paymenttemp selectPaymenttempById(String tempid);

    /**
     * 查询方案详情
     *
     * @param tempid ID
     * @return
     */
    public Paymenttemp selectPaymenttempAllById(String tempid);

    /**
     * 查询列表
     * 
     * @param paymenttemp 
     * @return 集合
     */
    public List<Paymenttemp> selectPaymenttempList(Paymenttemp paymenttemp);

    /**
     * 查询列表
     *
     * @param paymenttemp
     * @return 集合
     */
    public List<Paymenttemp> selectPaymenttempList2(Paymenttemp paymenttemp);

    /**
     * 查询列表
     *
     * @param paymenttemp
     * @return 集合
     */
    public List<Paymenttemp> selectPaymenttempListByName(Paymenttemp paymenttemp);

    /**
     * 根据交易ID查询方案模板列表
     *
     * @param tradeguId
     * @return 集合
     */
    public List<Paymenttemp> selectListByTradeguId(@Param("tradeguId") List<String> tradeguId);

    /**
     * 新增
     * 
     * @param paymenttemp 
     * @return 结果
     */
    public int insertPaymenttemp(Paymenttemp paymenttemp);

    /**
     * 修改
     * 
     * @param paymenttemp 
     * @return 结果
     */
    public int updatePaymenttemp(Paymenttemp paymenttemp);

    /**
     * 删除
     * 
     * @param tempid ID
     * @return 结果
     */
    public int deletePaymenttempById(String tempid);

    /**
     * 批量删除
     * 
     * @param tempids 需要删除的数据ID
     * @return 结果
     */
    public int deletePaymenttempByIds(String[] tempids);

}
