package com.huaxia.hx_sell_commission.mapper.db1;

import java.util.List;
import com.huaxia.hx_sell_commission.domain.PlanPaynodeLog;

/**
 * 佣金方案_支付节点Mapper接口
 * 
 * @author shilei
 * @date 2020-11-20
 */
public interface PlanPaynodeLogMapper 
{
    /**
     * 查询佣金方案_支付节点
     * 
     * @param planid 佣金方案_支付节点ID
     * @return 佣金方案_支付节点
     */
    public PlanPaynodeLog selectPlanPaynodeLogById(String planid);

    /**
     * 查询佣金方案_支付节点列表
     * 
     * @param planPaynodeLog 佣金方案_支付节点
     * @return 佣金方案_支付节点集合
     */
    public List<PlanPaynodeLog> selectPlanPaynodeLogList(PlanPaynodeLog planPaynodeLog);

    /**
     * 新增佣金方案_支付节点
     * 
     * @param planPaynodeLog 佣金方案_支付节点
     * @return 结果
     */
    public int insertPlanPaynodeLog(PlanPaynodeLog planPaynodeLog);

    /**
     * 修改佣金方案_支付节点
     * 
     * @param planPaynodeLog 佣金方案_支付节点
     * @return 结果
     */
    public int updatePlanPaynodeLog(PlanPaynodeLog planPaynodeLog);

    /**
     * 删除佣金方案_支付节点
     * 
     * @param planid 佣金方案_支付节点ID
     * @return 结果
     */
    public int deletePlanPaynodeLogById(String planid);

    /**
     * 批量删除佣金方案_支付节点
     * 
     * @param planids 需要删除的数据ID
     * @return 结果
     */
    public int deletePlanPaynodeLogByIds(String[] planids);
}
