package com.huaxia.hx_sell_commission.mapper.db1;

import java.util.List;
import com.huaxia.hx_sell_commission.domain.Usertype;

/**
 * Mapper接口
 * 
 * @author shilei
 * @date 2020-11-16
 */
public interface UsertypeMapper 
{
    /**
     * 查询
     * 
     * @param usertypeid ID
     * @return 
     */
    public Usertype selectUsertypeById(String usertypeid);

    /**
     * 查询列表
     * 
     * @param usertype 
     * @return 集合
     */
    public List<Usertype> selectUsertypeList(Usertype usertype);

    /**
     * 新增
     * 
     * @param usertype 
     * @return 结果
     */
    public int insertUsertype(Usertype usertype);

    /**
     * 修改
     * 
     * @param usertype 
     * @return 结果
     */
    public int updateUsertype(Usertype usertype);

    /**
     * 删除
     * 
     * @param usertypeid ID
     * @return 结果
     */
    public int deleteUsertypeById(String usertypeid);

    /**
     * 批量删除
     * 
     * @param usertypeids 需要删除的数据ID
     * @return 结果
     */
    public int deleteUsertypeByIds(String[] usertypeids);
}
