package com.huaxia.hx_sell_commission.mapper.db2;

import com.huaxia.hx_sell_commission.domain.csm.CsmSJobs;

import java.util.List;

/**
 * Mapper接口
 * 
 * @author shilei
 * @date 2020-11-16
 */
public interface CsmSJobsMapper 
{
    /**
     * 查询
     * 
     * @param id ID
     * @return 
     */
    public CsmSJobs selectCsmSJobsById(String id);

    /**
     * 查询列表
     * 
     * @param csmSJobs 
     * @return 集合
     */
    public List<CsmSJobs> selectCsmSJobsList(CsmSJobs csmSJobs);

    /**
     * 新增
     * 
     * @param csmSJobs 
     * @return 结果
     */
    public int insertCsmSJobs(CsmSJobs csmSJobs);

    /**
     * 修改
     * 
     * @param csmSJobs 
     * @return 结果
     */
    public int updateCsmSJobs(CsmSJobs csmSJobs);

    /**
     * 删除
     * 
     * @param id ID
     * @return 结果
     */
    public int deleteCsmSJobsById(String id);

    /**
     * 批量删除
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteCsmSJobsByIds(String[] ids);
}
