package com.huaxia.hx_sell_commission.mapper.db2;

import com.huaxia.hx_sell_commission.domain.csm.CsmSMenufunction;
import com.huaxia.hx_sell_commission.domain.csm.CsmSMenus;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Mapper接口
 * 
 * @author shilei
 * @date 2020-11-16
 */
public interface CsmSMenufunctionMapper 
{
    /**
     * 查询
     * 
     * @param mfid ID
     * @return 
     */
    public CsmSMenufunction selectCsmSMenufunctionById(String mfid);

    /**
     * 查询列表
     * 
     * @param csmSMenufunction 
     * @return 集合
     */
    public List<CsmSMenufunction> selectCsmSMenufunctionList(CsmSMenufunction csmSMenufunction);

    /**
     * 新增
     * 
     * @param csmSMenufunction 
     * @return 结果
     */
    public int insertCsmSMenufunction(CsmSMenufunction csmSMenufunction);

    /**
     * 修改
     * 
     * @param csmSMenufunction 
     * @return 结果
     */
    public int updateCsmSMenufunction(CsmSMenufunction csmSMenufunction);

    /**
     * 删除
     * 
     * @param mfid ID
     * @return 结果
     */
    public int deleteCsmSMenufunctionById(String mfid);

    /**
     * 批量删除
     * 
     * @param mfids 需要删除的数据ID
     * @return 结果
     */
    public int deleteCsmSMenufunctionByIds(String[] mfids);

    /**
     * 查询用户权限List
     *
     * @param userName
     * @return 集合
     */
    public List<String> selectUserMenufunctionList(@Param("userName") String userName);

}
