package com.huaxia.hx_sell_commission.mapper.db2;

import com.huaxia.hx_sell_commission.domain.csm.CsmSUser;
import com.huaxia.hx_sell_commission.vo.CsmSUserVo;

import java.util.List;

/**
 * Mapper接口
 * 
 * @author shilei
 * @date 2020-11-16
 */
public interface CsmSUserMapper 
{
    /**
     * 获取用户详细信息
     * 
     * @param userName
     * @return 
     */
    public CsmSUser selectCsmSUserByUserName(String userName);

    /**
     * 根据项目ID查询用户列表
     *
     * @param csmSUserVo
     * @return List<CsmSUser>
     */
    public List<CsmSUser> getUserByProjectId(CsmSUserVo csmSUserVo);

}
