package com.huaxia.hx_sell_commission.service;

import java.util.List;
import com.huaxia.hx_sell_commission.domain.PaymenttempFile;

/**
 * Service接口
 * 
 * @author shilei
 * @date 2020-11-16
 */
public interface IPaymenttempFileService 
{
    /**
     * 查询
     * 
     * @param tempid ID
     * @return 
     */
    public PaymenttempFile selectPaymenttempFileById(String tempid);

    /**
     * 查询列表
     * 
     * @param paymenttempFile 
     * @return 集合
     */
    public List<PaymenttempFile> selectPaymenttempFileList(PaymenttempFile paymenttempFile);

    /**
     * 新增
     * 
     * @param paymenttempFile 
     * @return 结果
     */
    public int insertPaymenttempFile(PaymenttempFile paymenttempFile);

    /**
     * 修改
     * 
     * @param paymenttempFile 
     * @return 结果
     */
    public int updatePaymenttempFile(PaymenttempFile paymenttempFile);

    /**
     * 删除信息
     * 
     * @param fileId ID
     * @return 结果
     */
    public int deletePaymenttempFileByFileId(String fileId);

}
