package com.huaxia.hx_sell_commission.utils;

/**
 * 脱敏工具类
 *
 * @Author shilei
 * @Date 2020/12/02
 *
 */
public class DesensitizedUtils {

    /**
     * 【身份证号】显示前三位和最后四位，其他隐藏。
     *
     * @param id
     * @return
     */
    public static String idCardNum(String id) {
        if (StringUtils.isBlank(id) || id.length() < 8) {
            return id;
        }
        return id.replaceAll("(?<=\\w{3})\\w(?=\\w{4})", "*");
    }

}
