package com.huaxia.hx_sell_commission.utils;

import cn.hutool.core.codec.Base64;

import javax.crypto.Cipher;
import javax.crypto.SecretKey;
import javax.crypto.SecretKeyFactory;
import javax.crypto.spec.DESedeKeySpec;

/**
 * 3DES加解密
 * 
 * @author shilei
 *
 */
public class ThreeDES {

	private final static String key = "BJQDIWEIXINZH2020#@!%888";

	/**
	 * 将数据使用3DES算法加密，加密后使用Base64编码
	 * 
	 * @param message
	 * @return
	 * @throws Exception
	 */
	public static String encode(String message) throws Exception {
		String algorithm = "DESede/ECB/PKCS5Padding";
		Cipher cipher = Cipher.getInstance(algorithm);
		byte[] keybyte = key.getBytes("UTF-8");
		DESedeKeySpec desKeySpec = new DESedeKeySpec(keybyte);
		SecretKeyFactory keyFactory = SecretKeyFactory.getInstance("desede");
		SecretKey secretKey = keyFactory.generateSecret(desKeySpec);
		cipher.init(Cipher.ENCRYPT_MODE, secretKey);
		String result = Base64.encode(cipher.doFinal(message.getBytes("UTF-8")));
		return result;
	}

	/**
	 * 将数据使用3DES算法加密，加密后使用Base64编码
	 *
	 * @param bytes
	 * @return
	 * @throws Exception
	 */
	public static String encode(byte[] bytes) throws Exception {
		String algorithm = "DESede/ECB/PKCS5Padding";
		Cipher cipher = Cipher.getInstance(algorithm);
		byte[] keybyte = key.getBytes("UTF-8");
		DESedeKeySpec desKeySpec = new DESedeKeySpec(keybyte);
		SecretKeyFactory keyFactory = SecretKeyFactory.getInstance("desede");
		SecretKey secretKey = keyFactory.generateSecret(desKeySpec);
		cipher.init(Cipher.ENCRYPT_MODE, secretKey);
		String result = Base64.encode(cipher.doFinal(bytes));
		return result;
	}

	/**
	 * 将数据使用3DES算法解密，解密前的数据为Base64编码
	 * 
	 * @param desStr
	 * @return
	 * @throws Exception
	 */
	public static String decode(String desStr) throws Exception {
		String algorithm = "DESede/ECB/PKCS5Padding";
		Cipher cipher = Cipher.getInstance(algorithm);
		byte[] keybyte = key.getBytes("UTF-8");
		DESedeKeySpec desKeySpec = new DESedeKeySpec(keybyte);
		SecretKeyFactory keyFactory = SecretKeyFactory.getInstance("desede");
		SecretKey secretKey = keyFactory.generateSecret(desKeySpec);
		cipher.init(Cipher.DECRYPT_MODE, secretKey);
		byte[] bytes = Base64.decode(desStr);
		byte[] decodeBytes = cipher.doFinal(bytes);
		String result = new String(decodeBytes, "UTF-8");
		return result;
	}

	/**
	 * 将数据使用3DES算法解密，解密前的数据为Base64编码
	 * 
	 * @param bytes
	 * @return
	 * @throws Exception
	 */
	public static String decode(byte[] bytes) throws Exception {
		String algorithm = "DESede/ECB/PKCS5Padding";
		Cipher cipher = Cipher.getInstance(algorithm);
		byte[] keybyte = key.getBytes("UTF-8");
		DESedeKeySpec desKeySpec = new DESedeKeySpec(keybyte);
		SecretKeyFactory keyFactory = SecretKeyFactory.getInstance("desede");
		SecretKey secretKey = keyFactory.generateSecret(desKeySpec);
		cipher.init(Cipher.DECRYPT_MODE, secretKey);
		byte[] decodeBytes = cipher.doFinal(bytes);
		String result = new String(decodeBytes, "UTF-8");
		return result;
	}
	
}