package com.huaxia.hx_sell_commission.vo;

import com.huaxia.hx_sell_commission.domain.ExamineBill;
import com.huaxia.hx_sell_commission.domain.Planbalance;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 核算单 ExamineBill
 *
 * @author qjcui
 * @date 2020-11-26
 */
@Data
public class ExamineBillVo extends ExamineBill implements Serializable {

    @ApiModelProperty(value = "创建开始时间")
    private Date startDate;

    @ApiModelProperty(value = "文件名")
    private String excelName;

    @ApiModelProperty(value = "创建结束时间")
    private Date endDate;

    @ApiModelProperty(value = "筛选条件公司ID")
    private String buguId;

    @ApiModelProperty(value = "筛选条件项目ID")
    private String projectId;

    @ApiModelProperty(value = "筛选条件项目分期ID")
    private String projGUId;

    @ApiModelProperty(value = "核算单id集合")
    private List<String> payIds;

    @ApiModelProperty(value = "是否核算单核算列表0：不是 1是")
    private Integer isAccount;

    @ApiModelProperty(value = "当前页")
    private Integer pageNum;

    @ApiModelProperty(value = "每页条数")
    private Integer pageSize;

    /** 是否选中 */
    @ApiModelProperty(value = "是否选中")
    private Long ischecked;

    @ApiModelProperty(value = "用户名")
    private String userName;

    @ApiModelProperty(value = "结算单id")
    private String settleid;

    @ApiModelProperty(value = "导出文件路径")
    private String exportPositionPath;

    @ApiModelProperty(value = "项目ID集合")
    private List<String> projectIds;



}
