package com.huaxia.hx_sell_commission.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class ExcelExamineBillSummaryVo {

    @ApiModelProperty(value = "序号")
    private Integer code;

    @ApiModelProperty(value = "员工Id")
    private String employeeCode;

    @ApiModelProperty(value = "姓名")
    private String employeeName;

    @ApiModelProperty(value = "岗位名称")
    private String jobName;

    @ApiModelProperty(value = "身份证号")
    private String idCard;

    @ApiModelProperty(value = "应发佣金")
    private BigDecimal grantBusinessCommission;

    @ApiModelProperty(value = "手机号")
    private String mobile;

    @ApiModelProperty(value = "员工状态: 0 离职，1 在职")
    private String dataStatus;

    @ApiModelProperty(value = "工资卡号")
    private String bankCardNo;

    @ApiModelProperty(value = "开户行")
    private String bankName;

    @ApiModelProperty(value = "备注")
    private String remark;

}
