package com.huaxia.hx_sell_commission.vo;

import com.huaxia.hx_sell_commission.domain.Paymentdetails;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;


/**
 * 对象 paymentdetails
 * 
 * @author shilei
 * @date 2020-11-20
 */
@Data
public class PaymentdetailsVo extends Paymentdetails {

    @ApiModelProperty(value = "用户ID集合")
    private List<String> userIds;

    @ApiModelProperty(value = "节点总金额")
    private BigDecimal nodeTotalAmount;

    @ApiModelProperty(value = "节点总金额比例")
    private BigDecimal nodeTotalRatio;

    @ApiModelProperty(value = "不予结算部分")
    private BigDecimal noPay;


    @ApiModelProperty(value = "方案状态")
    private Integer planStatus;

    @ApiModelProperty(value = "类别ID集合")
    private List<String> usertypeids;

    @ApiModelProperty(value = "添加修改方案预览中的payid")
    private List<String> payIdList;

    @ApiModelProperty(value = "自定义MD5")
    private String customizeMd5;

    @ApiModelProperty(value = "末批是否可选择，1可选择，0 不能选择")
    private Integer payLastbatchEnable;
}
