package com.huaxia.hx_sell_commission.vo;

import com.huaxia.hx_sell_commission.domain.Paymentdetails;
import com.huaxia.hx_sell_commission.domain.PlanPaynode;
import com.huaxia.hx_sell_commission.domain.Planbalance;
import com.huaxia.hx_sell_commission.utils.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;


/**
 * 佣金方案_支付节点对象 plan_paynode
 * 
 * @author shilei
 * @date 2020-11-18
 */
@Data
public class PlanPaynodeVo extends PlanPaynode {

    @ApiModelProperty(value = "后台人员结算方案明细对象集合")
    private List<Planbalance> planbalances;

    @ApiModelProperty(value = "佣金明细集合")
    private List<PaymentdetailsVo> paymentdetails;

}
