#!/bin/bash
echo ==================================================================
echo 自销佣金_hx_sell_commission部署脚本启动开始
echo ==================================================================

cd /data/hx_sell_commission

git pull origin master

mvn clean package -Dmaven.test.skip=true

pid=` ps -ef | grep hx_sell_commission.jar | grep -v grep | awk '{print $2}' `

kill -9 $pid

# 复制jar包, 强制覆盖(忽略提醒), 由于CentOS的.bashrc中打开cp的-i选项, 即可使用-f也不行, 所以还是先删除再复制
#rm -f /data/hx_sell_commission.jar
#cp /data/workspaces/hx_sell_commission/target/hx_sell_commission.jar /data


# 查看日志(备注: kill掉之后, 其复制jar包和启动还是执行了, 原因暂时未知... 此句话在手动启动可用, 自动重启实测也没影响)
#tail -f /root/app/hekele.log

#nohup java -jar -XX:MetaspaceSize=128m -Xms512m -Xmx1024m -Xmn256m -Xss256k -XX:SurvivorRatio=8 -XX:+UseConcMarkSweepGC /data/hx_sell_commission/target/hx_sell_commission.jar > /data/log/hx_sell_commission.log 2>& 1 &
nohup java -jar -XX:MetaspaceSize=128m -Xms512m -Xmx1024m -Xmn256m -Xss256k -XX:SurvivorRatio=8 -XX:+UseConcMarkSweepGC /data/hx_sell_commission/target/hx_sell_commission.jar --spring.profiles.active=prod > /data/log/hx_sell_commission.log 2>& 1 &

echo ==================================================================
echo finish
echo 自销佣金_hx_sell_commission部署脚本启动结束
echo ==================================================================