package com.huaxia.hx_sell_commission.domain;

import com.huaxia.hx_sell_commission.utils.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import lombok.Data;


/**
 * 对象 trade_customer
 * 
 * @author shilei
 * @date 2020-11-18
 */
@Data
public class TradeCustomer
{
    private static final long serialVersionUID = 1L;

    /** 交易ID */
    @Excel(name = "交易ID")
    @ApiModelProperty(value = "交易ID")
    private String tradeguid;

    /** 客户ID */
    @Excel(name = "客户ID")
    @ApiModelProperty(value = "客户ID")
    private String cstguid;

    /** 客户姓名 */
    @Excel(name = "客户姓名")
    @ApiModelProperty(value = "客户姓名")
    private String cstname;

    /** 证件号 */
    @Excel(name = "证件号")
    @ApiModelProperty(value = "证件号")
    private String cardid;

    /** 证件类型 */
    @Excel(name = "证件类型")
    @ApiModelProperty(value = "证件类型")
    private String cardtype;

    /** 手机号码 */
    @Excel(name = "手机号码")
    @ApiModelProperty(value = "手机号码")
    private String mobileTel;


}
