package com.huaxia.hx_sell_commission.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.huaxia.hx_sell_commission.utils.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 电商项目 YxGroupFeePlan
 *
 * @author cqj
 * @date 2020-11-23
 */
@Data
public class YxGroupFeePlan {

    /**品牌统筹费 */
    private Long barndAmount;

    /** 执行开始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date begDate;

    /** 禁用日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date disableDate;

    /** 执行结束日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date endDate;

    /** 团购服务费 */
    private Long groupTotalAmount;

    /** 是否禁用 */
    private String isDisable;


    /** 媒体预留费 */
    private Long mediaAmount;

    /** 营销项目ID */
    private String projectId;

    /** 备注 */
    private String remark;

    /** 拓客费 */
    private Long tkAmount;

    /** 团购费方案主键 */
    private String yxGroupFeePlanGuid;

    /** 团购费方案名称 */
    private String yxGroupFeePlanName;


    //==================非数据库字段==============================

    @ApiModelProperty(value = "类型名称")
    private String bproductTypeName;


}
