package com.huaxia.hx_sell_commission.domain.csm;

import com.huaxia.hx_sell_commission.utils.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 对象 csm_s_menus
 * 
 * @author shilei
 * @date 2020-11-16
 */
@Data
public class CsmSMenus
{
    private static final long serialVersionUID = 1L;

    private String id;

    /** 菜单名称 */
    @Excel(name = "菜单名称")
    @ApiModelProperty(value = "菜单名称")
    private String menuname;

    /** 	Url */
    @Excel(name = "	Url")
    @ApiModelProperty(value = "	Url")
    private String url;

    /** 图片Url */
    @Excel(name = "图片Url")
    @ApiModelProperty(value = "图片Url")
    private String imageurl;

    /** 父ID */
    @Excel(name = "父ID")
    @ApiModelProperty(value = "父ID")
    private String pid;

    /** 是否为首页 */
    @Excel(name = "是否为首页")
    @ApiModelProperty(value = "是否为首页")
    private Integer ishomepage;

    /** 菜单是否显示 */
    @Excel(name = "菜单是否显示")
    @ApiModelProperty(value = "菜单是否显示")
    private Integer isshow;

    /** 所属系统（字典表ID） */
    @Excel(name = "所属系统", readConverterExp = "字=典表ID")
    @ApiModelProperty(value = "所属系统")
    private String system;

    /** 排序号 */
    @Excel(name = "排序号")
    @ApiModelProperty(value = "排序号")
    private Long listindex;

    /** 状态（1：启用；0：禁用） */
    @Excel(name = "状态", readConverterExp = "1=：启用；0：禁用")
    @ApiModelProperty(value = "状态")
    private Integer status;

    private Long levels;

}
