package com.huaxia.hx_sell_commission.domain.csm;

import com.huaxia.hx_sell_commission.utils.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 项目组织架构关联对象 csm_s_org_project
 * 
 * @author shilei
 * @date 2020-11-16
 */
@Data
public class CsmSOrgProject
{
    private static final long serialVersionUID = 1L;

    private String id;

    /** 组织架构ID（项目部） */
    @Excel(name = "组织架构ID", readConverterExp = "项=目部")
    @ApiModelProperty(value = "组织架构ID")
    private String orgid;

    /** 项目ID */
    @Excel(name = "项目ID")
    @ApiModelProperty(value = "项目ID")
    private String pid;

    /** 类型
            1营销口径项目
            2立项口径项目 */
    @Excel(name = "类型")
    @ApiModelProperty(value = "类型 1营销口径项目 2立项口径项目")
    private Long type;


}
