package com.huaxia.hx_sell_commission.domain.csm;

import com.huaxia.hx_sell_commission.utils.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * 营销项目楼栋映射对象 csm_s_project_build
 * 
 * @author shilei
 * @date 2020-11-18
 */
@Data
public class CsmSProjectBuild
{
    private static final long serialVersionUID = 1L;

    /** 营销项目ID */
    @Excel(name = "营销项目ID")
    @ApiModelProperty(value = "营销项目ID")
    private String projectid;

    /** 项目分期ID */
    @Excel(name = "项目分期ID")
    @ApiModelProperty(value = "项目分期ID")
    private String projguid;

    /** 楼栋ID */
    @Excel(name = "楼栋ID")
    @ApiModelProperty(value = "楼栋ID")
    private String buildguid;

    /** 楼栋Code */
    @Excel(name = "楼栋Code")
    @ApiModelProperty(value = "楼栋Code")
    private String bldcode;

}
