package com.huaxia.hx_sell_commission.domain.csm;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.huaxia.hx_sell_commission.utils.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 员工与岗位关系对象 csm_s_userjobrel
 * 
 * @author shilei
 * @date 2020-11-16
 */
@Data
public class CsmSUserjobrel
{
    private static final long serialVersionUID = 1L;

    private String id;

    /** 员工ID */
    @Excel(name = "员工ID")
    @ApiModelProperty(value = "员工ID")
    private String employeeid;

    /** 岗位ID */
    @Excel(name = "岗位ID")
    @ApiModelProperty(value = "岗位ID")
    private String jobid;

    /** 展厅/售楼处组织ID */
    @Excel(name = "展厅/售楼处组织ID")
    @ApiModelProperty(value = "展厅/售楼处组织ID")
    private String orgid;

    /** 是否默认岗位 */
    @Excel(name = "是否默认岗位")
    @ApiModelProperty(value = "是否默认岗位")
    private Long isdefaultjob;

    /** 审批状态
            0 不通过
            1 未审批
            2 已通过
            3 审批中 */
    @Excel(name = "审批状态")
    @ApiModelProperty(value = "审批状态 0 不通过 1 未审批 2 已通过 3 审批中")
    private Long followstate;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date joinprodatetime;


}
