package com.huaxia.hx_sell_commission.enums;

/**
 * Description: UserType枚举类
 *
 * @author shilei
 * @date 2020/11/27
 */
public class UserTypeEnum {

    /**
     * UserType
     */
    public enum UserType {
        USER_TYPE_01("8f2fc0d6-eeb3-4d7b-9a0a-971806cb7c51", "报备人员"),
        USER_TYPE_02("7d2fc0d6-eeb3-4d7b-9b0a-971825cb7c63", "不予结算部分");

        private final String code;
        private final String info;

        UserType(String code, String info) {
            this.code = code;
            this.info = info;
        }

        public String getCode()
        {
            return code;
        }

        public String getInfo()
        {
            return info;
        }
    }

}
