package com.huaxia.hx_sell_commission.mapper.db1;

import java.util.List;
import com.huaxia.hx_sell_commission.domain.PaymentdetailsLog;
import org.apache.ibatis.annotations.Param;

/**
 * Mapper接口
 * 
 * @author shilei
 * @date 2020-11-20
 */
public interface PaymentdetailsLogMapper 
{
    /**
     * 查询
     * 
     * @param payid ID
     * @return 
     */
    public PaymentdetailsLog selectPaymentdetailsLogById(String payid);

    /**
     * 查询列表
     * 
     * @param paymentdetailsLog 
     * @return 集合
     */
    public List<PaymentdetailsLog> selectPaymentdetailsLogList(PaymentdetailsLog paymentdetailsLog);

    /**
     * 新增
     * 
     * @param paymentdetailsLog 
     * @return 结果
     */
    public int insertPaymentdetailsLog(PaymentdetailsLog paymentdetailsLog);

    /**
     * 修改
     * 
     * @param paymentdetailsLog 
     * @return 结果
     */
    public int updatePaymentdetailsLog(PaymentdetailsLog paymentdetailsLog);

    /**
     * 删除
     * 
     * @param payid ID
     * @return 结果
     */
    public int deletePaymentdetailsLogById(String payid);

    /**
     * 批量删除
     * 
     * @param payids 需要删除的数据ID
     * @return 结果
     */
    public int deletePaymentdetailsLogByIds(String[] payids);

    /**
     * 批量添加佣金明细表
     * @param paymentdetailsLogList
     */
    int insertPaymentdetailsLogList(@Param("paymentdetailsLogList") List<PaymentdetailsLog> paymentdetailsLogList);
}
