package com.huaxia.hx_sell_commission.mapper.db1;

import java.util.List;
import com.huaxia.hx_sell_commission.domain.PaymenttempNode;

/**
 * Mapper接口
 * 
 * @author shilei
 * @date 2020-11-16
 */
public interface PaymenttempNodeMapper 
{
    /**
     * 查询
     * 
     * @param tempid ID
     * @return 
     */
    public PaymenttempNode selectPaymenttempNodeById(String tempid);

    /**
     * 查询列表
     * 
     * @param paymenttempNode 
     * @return 集合
     */
    public List<PaymenttempNode> selectPaymenttempNodeList(PaymenttempNode paymenttempNode);

    /**
     * 新增
     * 
     * @param paymenttempNode 
     * @return 结果
     */
    public int insertPaymenttempNode(PaymenttempNode paymenttempNode);

    /**
     * 修改
     * 
     * @param paymenttempNode 
     * @return 结果
     */
    public int updatePaymenttempNode(PaymenttempNode paymenttempNode);

    /**
     * 删除
     * 
     * @param tempid ID
     * @return 结果
     */
    public int deletePaymenttempNodeById(String tempid);

    /**
     * 批量删除
     * 
     * @param tempids 需要删除的数据ID
     * @return 结果
     */
    public int deletePaymenttempNodeByIds(String[] tempids);
}
