package com.huaxia.hx_sell_commission.mapper.db1;

import java.util.List;
import com.huaxia.hx_sell_commission.domain.TradeCustomer;

/**
 * Mapper接口
 * 
 * @author shilei
 * @date 2020-11-18
 */
public interface TradeCustomerMapper 
{
    /**
     * 查询
     * 
     * @param tradeguid ID
     * @return 
     */
    public TradeCustomer selectTradeCustomerById(String tradeguid);

    /**
     * 查询列表
     * 
     * @param tradeCustomer 
     * @return 集合
     */
    public List<TradeCustomer> selectTradeCustomerList(TradeCustomer tradeCustomer);

    /**
     * 新增
     * 
     * @param tradeCustomer 
     * @return 结果
     */
    public int insertTradeCustomer(TradeCustomer tradeCustomer);

    /**
     * 修改
     * 
     * @param tradeCustomer 
     * @return 结果
     */
    public int updateTradeCustomer(TradeCustomer tradeCustomer);

    /**
     * 删除
     * 
     * @param tradeguid ID
     * @return 结果
     */
    public int deleteTradeCustomerById(String tradeguid);

    /**
     * 批量删除
     * 
     * @param tradeguids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTradeCustomerByIds(String[] tradeguids);
}
