package com.huaxia.hx_sell_commission.mapper.db2;

import com.huaxia.hx_sell_commission.domain.csm.CsmSMenus;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Mapper接口
 * 
 * @author shilei
 * @date 2020-11-16
 */
public interface CsmSMenusMapper 
{
    /**
     * 查询
     * 
     * @param id ID
     * @return 
     */
    public CsmSMenus selectCsmSMenusById(String id);

    /**
     * 查询列表
     * 
     * @param csmSMenus 
     * @return 集合
     */
    public List<CsmSMenus> selectCsmSMenusList(CsmSMenus csmSMenus);

    /**
     * 新增
     * 
     * @param csmSMenus 
     * @return 结果
     */
    public int insertCsmSMenus(CsmSMenus csmSMenus);

    /**
     * 修改
     * 
     * @param csmSMenus 
     * @return 结果
     */
    public int updateCsmSMenus(CsmSMenus csmSMenus);

    /**
     * 删除
     * 
     * @param id ID
     * @return 结果
     */
    public int deleteCsmSMenusById(String id);

    /**
     * 批量删除
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteCsmSMenusByIds(String[] ids);

    /**
     * 查询用户菜单Tree
     *
     * @param userName
     * @return 集合
     */
    public List<CsmSMenus> selectUserMenuList(@Param("userName") String userName);

}
