package com.huaxia.hx_sell_commission.vo;

import com.huaxia.hx_sell_commission.domain.csm.CsmSMenufunction;
import com.huaxia.hx_sell_commission.domain.csm.CsmSMenus;
import com.huaxia.hx_sell_commission.utils.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 对象 csm_s_menus
 * 
 * @author shilei
 * @date 2020-11-16
 */
@Data
public class CsmSMenusVo extends CsmSMenus {

    @ApiModelProperty(value = "功能权限集合")
    private List<CsmSMenufunction> csmSMenufunctions;

    @ApiModelProperty(value = "子菜单集合")
    private List<CsmSMenusVo> childrenList;

    @ApiModelProperty(value = "用户名")
    private String userName;

}
