package com.huaxia.hx_sell_commission.vo;

import com.huaxia.hx_sell_commission.domain.SettlebillPaydetails;
import com.huaxia.hx_sell_commission.domain.csm.CsmSUser;
import com.huaxia.hx_sell_commission.utils.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;


/**
 * 结算单人员结算明细对象 settlebill_paydetails
 * 
 * @author shilei
 * @date 2020-11-30
 */
@Data
public class SettlebillPaydetailsVo extends SettlebillPaydetails {

    /** 结算单名称 */
    @Excel(name = "结算单名称")
    @ApiModelProperty(value = "结算单名称")
    private String settlename;

    /** 佣金合计 */
    @ApiModelProperty(value = "佣金合计")
    private BigDecimal sum1;

    /** 扣除金额合计 */
    @ApiModelProperty(value = "扣除金额合计")
    private BigDecimal sum2;

    /** 支付金额合计 */
    @ApiModelProperty(value = "支付金额合计")
    private BigDecimal sum3;

    /** 结算合计 */
    @ApiModelProperty(value = "结算合计")
    private BigDecimal sum4;

    /** 人力共享流程编号 */
    @Excel(name = "人力共享流程编号")
    @ApiModelProperty(value = "人力共享流程编号")
    private String thirdNO;

    /** 明细状态 */
    @Excel(name = "明细状态")
    @ApiModelProperty(value = "明细状态")
    private Long detailstatus;

    /** 明细状态 */
    @Excel(name = "是否展示")
    @ApiModelProperty(value = "是否展示")
    private String displayOrNo;

    /** 结算单状态 */
    @Excel(name = "结算单状态")
    @ApiModelProperty(value = "结算单状态")
    private Integer settleStatus;

//    /** 人员信息 */
//    @Excel(name = "人员信息")
//    @ApiModelProperty(value = "人员信息")
//    private List<CsmSUser> csmSUser;
//    /** 明细状态 */
//    @Excel(name = "明细状态(提交)")
//    @ApiModelProperty(value = "明细状态(提交)")
//    private Long detailstatus1;
}
